std::raw_storage_iterator< _OutputIterator, _Tp >(3cxx)

NAME
std::raw_storage_iterator< _OutputIterator, _Tp >

SYNOPSIS

#include <stl_raw_storage_iter.h>

Inherits std::iterator< output_iterator_tag, void, void, void, void >.

  Public Types

typedef void difference_type
Distance between iterators is represented as this type.
typedef output_iterator_tag iterator_category
One of the tag types.
typedef void pointer
This type represents a pointer-to-value_type.
typedef void reference
This type represents a reference-to-value_type.
typedef void value_type
The type pointedto"bytheiterator.

  Public Member Functions

raw_storage_iterator (_OutputIterator __x)
_OutputIterator base () const
raw_storage_iterator & operator* ()
raw_storage_iterator & operator++ ()
raw_storage_iterator operator++ (int)
raw_storage_iterator & operator= (_Tp &&__element)
raw_storage_iterator & operator= (const _Tp &__element)

  Protected Attributes

_OutputIterator _M_iter

Detailed Description

  template<class _OutputIterator, class _Tp>
class std::raw_storage_iterator< _OutputIterator, _Tp >"This iterator class lets algorithms store their results into uninitialized memory.

Member Typedef Documentation

  typedef void std::iterator< output_iterator_tag, void, void, void, void >::difference_type [inherited]

Distance between iterators is represented as this type.

  typedef output_iterator_tag std::iterator< output_iterator_tag, void, void, void, void >::iterator_category [inherited]

One of the tag types.

  typedef void std::iterator< output_iterator_tag, void, void, void, void >::pointer [inherited]

This type represents a pointer-to-value_type.

  typedef void std::iterator< output_iterator_tag, void, void, void, void >::reference [inherited]

This type represents a reference-to-value_type.

  typedef void std::iterator< output_iterator_tag, void, void, void, void >::value_type [inherited]

The type "pointed to" by the iterator.

Author

Generated automatically by Doxygen for libstdc++ from the source code.